> For the complete documentation index, see [llms.txt](https://docs.mediarithmics.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry.md).

# Datamart Device Id Registry

Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls.

## GET /device\_id\_registries/{id}

> Get device id registry

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry","description":"Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries/{id}":{"get":{"description":"","operationId":"getDeviceIdRegistry","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"tags":["Datamart Device Id Registry"],"summary":"Get device id registry","parameters":[{"schema":{"type":"string"},"style":"simple","description":"The device id registry id","in":"path","name":"id","required":true,"explode":false},{"schema":{"type":"string"},"explode":true,"required":false,"style":"form","in":"query","description":"Organisation id of the device id registry","name":"organisation_id"}]}}},"components":{"schemas":{"DeviceIdRegistryResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"default_expiration_duration":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"drop_before_reduction":{"type":"boolean","default":false,"readOnly":false},"image_uri":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"ignored_in_identity_resolution":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false}},"required":["created_by","creation_ts","default_expiration_duration","description","drop_before_reduction","id","ignored_in_identity_resolution","name","organisation_id","token","type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## PUT /device\_id\_registries/{id}

> Update device id registry

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry","description":"Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries/{id}":{"put":{"requestBody":{"description":"The machine learning function to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}}},"required":true},"tags":["Datamart Device Id Registry"],"parameters":[{"name":"id","style":"simple","explode":false,"schema":{"type":"string"},"in":"path","description":"The device id registry id","required":true},{"name":"organisation_id","in":"query","description":"Organisation id of the device id registry","schema":{"type":"string"},"required":false,"explode":true,"style":"form"}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"summary":"Update device id registry","operationId":"updateDeviceIdRegistry","description":""}}},"components":{"schemas":{"DeviceIdRegistryResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"default_expiration_duration":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"drop_before_reduction":{"type":"boolean","default":false,"readOnly":false},"image_uri":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"ignored_in_identity_resolution":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false}},"required":["created_by","creation_ts","default_expiration_duration","description","drop_before_reduction","id","ignored_in_identity_resolution","name","organisation_id","token","type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## DELETE /device\_id\_registries/{id}

> Delete device id registry

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry","description":"Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries/{id}":{"delete":{"description":"","summary":"Delete device id registry","operationId":"deleteDeviceIdRegistry","responses":{"200":{"$ref":"#/components/responses/simple"},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"parameters":[{"in":"path","style":"simple","description":"The device id registry id","explode":false,"required":true,"schema":{"type":"string"},"name":"id"},{"explode":true,"required":false,"style":"form","name":"organisation_id","schema":{"type":"string"},"in":"query","description":"Organisation id of the device id registry"}],"tags":["Datamart Device Id Registry"]}}},"components":{"responses":{"simple":{"description":"Success response","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]}},"required":["status"]}}}},"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}},"schemas":{"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}}}}
```

## GET /device\_id\_registries

> Search device id registries

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry","description":"Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries":{"get":{"tags":["Datamart Device Id Registry"],"description":"","parameters":[{"in":"query","required":false,"name":"ids","explode":true,"style":"form","description":"Ids of device id registries to search","schema":{"type":"array","items":{"type":"string"}}},{"in":"query","explode":true,"description":"Name of device id registry","required":false,"name":"name","schema":{"type":"string"},"style":"form"},{"required":false,"schema":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"explode":true,"in":"query","style":"form","description":"Type of device id registry","name":"type"},{"style":"form","required":false,"description":"Organisation id of the device id registry","explode":true,"in":"query","name":"organisation_id","schema":{"type":"string"}},{"required":false,"description":"User who created the device id registry","name":"created_by","schema":{"type":"string"},"in":"query","style":"form","explode":true},{"explode":true,"description":"User who last modified the device id registry","in":"query","style":"form","required":false,"schema":{"type":"string"},"name":"last_modified_by"},{"description":"Offset from which the search must be performed","name":"first_result","style":"form","in":"query","required":false,"explode":true,"schema":{"type":"integer","format":"int32"}},{"description":"Number of maximum items that shall be return by this search","schema":{"type":"integer","format":"int32"},"in":"query","explode":true,"name":"max_results","style":"form","required":false}],"responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"first_result":{"type":"integer"},"max_results":{"type":"integer"},"total":{"type":"integer"},"data":{"type":"array","items":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}},"count":{"type":"integer"},"status":{"type":"string","enum":["ok"]}},"required":["count","data","first_result","max_results","status","total"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"findDeviceIdRegistries","summary":"Search device id registries"}}},"components":{"schemas":{"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"DeviceIdRegistryResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"default_expiration_duration":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"drop_before_reduction":{"type":"boolean","default":false,"readOnly":false},"image_uri":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"ignored_in_identity_resolution":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false}},"required":["created_by","creation_ts","default_expiration_duration","description","drop_before_reduction","id","ignored_in_identity_resolution","name","organisation_id","token","type"]},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```

## POST /device\_id\_registries

> Create a device id registry

```json
{"openapi":"3.1.1","info":{"title":"mediarithmics openapi API","version":"1.0.0"},"tags":[{"name":"Datamart Device Id Registry","description":"Operations related to Datamart Device ID Registries that store device-based Network IDs (IDFA, AAID, Universal Web IDs) for cross-publisher addressability. Enable collection and management of mobile advertising identifiers and universal web identifiers to support audience activation across multiple publishers and platforms while respecting user privacy controls."}],"servers":[{"url":"http://api.mediarithmics.local/v1","description":"Development server"},{"url":"https://api.mediarithmics.com/v1","description":"Production server"}],"paths":{"/device_id_registries":{"post":{"summary":"Create a device id registry","tags":["Datamart Device Id Registry"],"requestBody":{"description":"The device id registry to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}}},"required":true},"description":"","responses":{"200":{"description":"Success !","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok"]},"data":{"$ref":"#/components/schemas/DeviceIdRegistryResource"}},"required":["data","status"]}}}},"400":{"$ref":"#/components/responses/error"},"401":{"$ref":"#/components/responses/error"},"403":{"$ref":"#/components/responses/error"},"404":{"$ref":"#/components/responses/error"},"500":{"$ref":"#/components/responses/error"},"503":{"$ref":"#/components/responses/error"}},"operationId":"createDeviceIdRegistry"}}},"components":{"schemas":{"DeviceIdRegistryResource":{"type":"object","properties":{"created_by":{"type":"string","readOnly":true},"default_expiration_duration":{"type":"string","description":"A valid ISO 8601 Period String","readOnly":false},"id":{"type":"string","readOnly":true},"creation_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"drop_before_reduction":{"type":"boolean","default":false,"readOnly":false},"image_uri":{"type":"string","readOnly":false},"type":{"$ref":"#/components/schemas/DeviceIdRegistryType"},"organisation_id":{"type":"string","readOnly":false},"last_modified_by":{"type":"string","readOnly":true},"description":{"type":"string","readOnly":false},"ignored_in_identity_resolution":{"type":"boolean","default":false,"readOnly":false},"last_modified_ts":{"type":"integer","format":"int64","default":0,"readOnly":true},"name":{"type":"string","readOnly":false},"token":{"type":"string","readOnly":false}},"required":["created_by","creation_ts","default_expiration_duration","description","drop_before_reduction","id","ignored_in_identity_resolution","name","organisation_id","token","type"]},"DeviceIdRegistryType":{"type":"string","enum":["INSTALLATION_ID","MUM_ID","NETWORK_DEVICE_ID","CUSTOM_DEVICE_ID","MOBILE_ADVERTISING_ID","MOBILE_VENDOR_ID","TV_ADVERTISING_ID","IP_V4_ADDRESS_ID","IP_V6_ADDRESS_ID"],"readOnly":false},"errorResponse":{"type":"object","properties":{"status":{"type":"string","enum":["error"]},"error_code":{"type":"string","enum":["AUTHENTICATION_ERROR","AUTHORIZATION_ERROR","BAD_REQUEST_DATA","BAD_REQUEST_FORMAT","CONSTRAINT_VIOLATION_EXCEPTION","EMAIL_ALREADY_EXISTS","MAC_ERROR","RESOURCE_NOT_FOUND","SERVICE_UNAVAILABLE","TOKEN_ERROR"]},"error_id":{"type":"string"},"error":{"type":"string"}},"required":["error","error_code","error_id","status"]}},"responses":{"error":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorResponse"}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mediarithmics.io/api-reference/datamart-management/datamart-device-id-registry.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
